Entire Operations Defaults

#### Search Results

Search

# Entire Operations Defaults

You can view and set Entire Operations defaults, for example, for the following:

| Features specific to the character user interface of Entire Operations; Entire Operations system file and log files; Defaults for z/OS, BS2000, UNIX and Windows; User definitions; Display options (language, calendar, date); Interface settings and escape characters; Retention periods and start/end dates for networks and jobs; Logging, activation and APIs; Scheduling, symbols, JCL and SYSOUT.

This document covers the following topics:

- Accessing Default Settings for Entire Operations

- Defaults: System/Log Files

- Defaults for Operating System Specials

- Defaults for Time Ranges

- Defaults for Network Options

- Defaults for Other Settings

- Defaults for Character Interface Settings

- Defaults for BS2000

- Defaults for z/OS

- Defaults for UNIX and Windows

## Accessing Default Settings for Entire Operations

To access default settings for Entire Operations

1. In the object workspace, select Administration.

2. Open the context menu and select Entire Operations Defaults.

   An Entire Operations Defaults window with an open System/Log files page like the example below opens:

   Each tabbed page represents a set of default settings you can specify for your environment.

   The tabbed pages are explained in the following section.

3. If required, choose Export to open the Export Objects window and export the default settings currently defined. See also Exporting Current Settings in the Import/Export Functions documentation.

## Defaults: System/Log Files

The system and log files shown on the System/Log files page of the Entire Operations Defaults window are explained in Entire Operations Files.

The fields in the Logging settings section of the page are described in the following table:

Field | Description
--- | ---
Log logon/logoff to node | If this check box is selected, all logons and logoffs to and from Entire System Server nodes (by users and Monitor tasks) will be logged. Be aware of the overhead in the log file.
Log symbol values in submitted JCL | Possible check-box settings:
checked | Log symbol values (default).
unchecked | Do not log values.
Log the changes made to an active/pregen. JCL | Possible check-box settings:
checked | Activate logging of active or pregenerated JCL modifications. Any JCL changes to the active or pregenerated JCL are then written to the extended log (described in the User's Guide). If this option is checked, the editor buffer pool space may have to be increased.
unchecked | Disable this feature (default).
Log API Usage | If this check box is selected, some API executions will be logged. The API return code is contained. Be aware of the overhead in the log file.

## Defaults for Operating System Specials

The fields provided on the Operating System Specials page of the Entire Operations Defaults window depend on the operating system selected, as shown in the following example of z/OS:

The fields are explained in the following operating system specific sections:

- Defaults for z/OS

- Defaults for BS2000

- Defaults for UNIX and Windows

## Defaults for Time Ranges

The fields on the Time Ranges page of the Entire Operations Defaults window are described in the following table:

Field/Section | Description
--- | ---
Active networks | Maximum number of days Entire Operations keeps active networks in the active database. If the network is not completed within this time, a warning message is issued to a mailbox linked to the network. Default is 2 days. Note Unfinished active jobs are deactivated after the Active jobs retention period in any case. See also the Retention Period for Network option that can be specified for a single network as described in Retention of Active Network Data in the User's Guide.
Active jobs | Maximum number of days Entire Operations keeps active jobs in the active database. This retention period also applies to data generated for import/export operations or reports. For active jobs, this period must be longer than the Active networks retention period. Jobs will be deactivated after this time, even if the active network is not completed. Default is 2 days. Note The retention period for an active job is calculated backwards from the real start time of the job, if available. Otherwise, it is calculated backwards from the activation time of the job.
Active conditions | Maximum number of days Entire Operations keeps active conditions in the active database. This retention period also applies to resource allocations with deallocation mode Keep until explicit release (`K`). Default is 7 days. See also the Deactivation mode for active conditions option for a single network that determines when active conditions are removed as described in Retention of Active Network Data in the User's Guide.
Standard log | Maximum number of days Entire Operations keeps standard log data and mailbox entries (information messages). Default is 7 days.
Long-term log | Maximum number of days Entire Operations keeps long-term log data and mailbox entries (waiting for condition, symbol prompting). Long-term log data are network and job activation times with run numbers, as well as job accounting information. Default is 180 days.
Accounting data | Maximum number of days Entire Operations keeps job and monitor accounting data. Default is 180 days.
Extraction of schedules before activation | Current network schedules are extracted once a day to prepare scheduled network activation. The extraction can be done several days in advance, for example, to permit, earlier symbol prompting. Enter the number of days. Default: 1 day (=current day).
Activation before earliest start | Creates an executable copy of the job network definition. This option allows you to activate the network before the earliest time the network is actually started. Default: 0 minutes.
Default latest start after earliest start | Applies if no explicit latest start time was specified at the job level. The time (in hours) specified here is added to the (computed) earliest start time. Default: 24 hours.
Default deadline after earliest start | Applies if no explicit deadline time was specified at the job level. The time (in hours) specified here is added to the (computed) earliest start time. Default: 48 hours.
End of previous production date | Time at which the previous production day ends logically. The input format is HH:II:SS, the default time is 00:00:00 (midnight). This time influences the following: Condition references: The reference PDA for input condition references the production date, not the current calendar date. Symbol replacement: The predefined symbol `P-DATE` provides the production date in the format YYYYMMDD. See also Predefined Symbols and Date and Time Formats in the User's Guide.
Automatic cleanup | Possible selection options: No automatic cleanup for new day If selected, no automatic cleanup of the active database and log data is performed. Automatic cleanup for new day / Monitor start at If selected, automatic cleanup of the active database and log data is performed. The interval between two subsequent automatic cleanups is at least one hour (default). You can enter the time to perform daily automatic cleanup. Once per day If selected, automatic cleanup will not be performed if a cleanup (automatic or manual) was already performed on the same day. Note The cleanup must be triggered at least once a day to avoid an overflow of the active database.

## Defaults for Network Options

The fields on the Network Options page of the Entire Operations Defaults window are described in the following table:

Field | Description
--- | ---
Activation escape | Global escape character used as the prefix for Natural code lines and symbols that are to be replaced at activation time. Default is the dollar sign (`$`). You can define specific escape characters for each operating system on the Operating System Specials page. Note Dynamic JCL might become invalid if this escape character is changed.
Submission escape | Global escape character used as the prefix for symbols that are to be replaced at submission time. You can define specific escape characters for each operating system on the Operating System Specials page. Default is the dollar sign (`$`). The character recommended for BS2000 is the semi-colon (`;`). Note Dynamic JCL might become invalid if this escape character is changed.
SYSOUT line limit | Determine the line limit for SYSOUT. Valid values: 0 - 9999999999999. Default: 0 (no limit) If the SYSOUT of a job exceeds the line limit set, the lines are truncated after the line number specified in this field. This affects the following SYSOUT functions: Extended SYSOUT logging is truncated. See also Displaying Extended Log Information in the User's Guide. SYSOUT browsing of a file or spool data set is truncated and ends with a warning message like the following: `===== EOR4123 - SYSOUT line limit 1000 reached =====` SYSOUT is truncated if copied from UNIX or Windows to the mainframe (for example, BS2000). SYSOUT is truncated if passed from UNIX or Windows to Entire Output Management (NOM), depending on the Entire System Server version installed at your site. Log messages are written for the above cases. Note To specify the SYSOUT line limit for an individual owner, see Modifying the SYSOUT line limit of an Owner. z/OS, JES2: The value is divided by 1000 and inserted with a `/*LINES` command. If the division result is 0, the value is set to 1.
Maximum SYSOUT Size (in MB) | Zero, or a maximum SYSOUT Size (Unit Megabytes). Applies to UNIX and Windows jobs, only. If the SYSOUT of a job exeeds the maximum specified here, the job will be set to 'not ok', and no end-of-job actions will be performed. Default: 0 (no limit).
SYSOUT Store Node | Zero, or an existing NPR (Entire System Server) node. If a UNIX or Windows node is defined here, the SYSOUT of all UNIX and Windows jobs will be copied to that node. If the SYSOUT Store node was defined or changed, the NOP Monitor must be restarted.
Copy SYSOUT file before passing it to NOM | Applies to BS2000 only. Possible check-box settings:
checked | Copy the SYSOUT file physically and pass the copy to the Entire Output Management (NOM) API (default). This doubles the necessary disk storage for SYSOUT files created by Entire Operations.
unchecked | Pass the original SYSOUT file to the Entire Output Management API.
Note If the copying of SYSOUT files for Entire Output Management is switched off, SYSOUT files may get lost or overwritten, for example, if the creating job is resubmitted or restarted for recovery.
Interrupt End-of-Job Checking on BS2000 if limit is reached | Applies to BS2000 only. Select this option (not selected by default) to interrupt the job if the SYSOUT line limit is reached. If a SYSOUT file has reached or exceeded the given SYSOUT Line Limit, the job will be treated as interrupted during End-of-Job checking and set to `not ok`.
Run number limit | Maximum run number which can be assigned to a network or job activation. The maximum must not exceed 99999. Default: If 0 is specified, the limit is 99999.
Subnetwork activation mode | Possible selection options:
At activation time | At activation time of the caller (default).
During the network activation | At submission time of the caller.
See also the section Time of Activation of a Subnetwork in the User's Guide.
Symbol table obligatory | Check whether a symbol table definition exists when: Activating a network; Adding a network; Modifying a network. The check is not performed for unchanged network definitions. Possible selection options:
No symbol table required | No symbol table definition required.
Required for all networks | Symbol table required for all networks.
Required for subnetworks only | Symbol table required for subnetworks only.
If you want to check the existence of symbol table definitions globally, use the batch utility CHNWST-P described in the section Entire Operations Utilities in the User's Guide.
Max. number of versions per network or symbol table | Maximum number of versions that might be defined for a network or symbol table. This limit is checked during addition or cloning of versions. Possible values: 0 to 9999999. If 0 is specified, the limit is 99999 (default) for no restriction.
Allow setting of preferred run number at activation | If this check box is selected, users are allowed to request their preferred run number during network or job activation. See also the field Preferred run number described in the sections Fields: Network Activation (Network Maintenance) and Fields: Job Activation (Job Maintenance) in the User's Guide. This check box is not selected by default.

## Defaults for Other Settings

The fields on the Others page of the Entire Operations Defaults window are described in the following table:

Field/Section | Description
--- | ---
Date format | Date format to be used for date fields. For explanations of the possible selection options, see Date and Time Formats in the User's Guide.
Default node | Default Entire System Server node ID. This node is used for all internal calls to Entire System Server if no other node number is specified explicitly.
User ID Definition | Possible selection options:
All JCL or submit user IDs may be defined All JCL or submit user IDs can be defined (default).
User must have logged on successfully to a node First, the user must have logged on successfully to a node. Then a JCL or submit user ID may be defined.
A logon is always required for: User ID `TSOS` on BS2000 nodes; User ID `root` on UNIX nodes.
File password prompting | Possible selection options:
Do not prompt for password Do not prompt for a password (default). Use the defined password, if necessary.
Always prompt for a file password before editing If a file is password-protected, always prompt for a file password before editing.
Symbol table activation mode | Possible selection options:
After schedule extraction Symbol prompting can be used for scheduled networks (default).
During the network activation No symbol prompting is possible.
Time frames | Default for 'Use time in schedule' Determines the default setting for the start time to be used when manually activating a network or job. This option corresponds to the Use Time from Schedule option on an Activate Network or Activate Job window (see Manual Activation in the User's Guide). Possible check-box settings:
checked | Use the time defined in the schedule used by the network or job.
unchecked | Use the time entered in the Activate Network or Activate Job window (default). Possible network or job schedule definitions are ignored.
Keep predefined job time frames Possible check-box settings:
checked | Keep predefined job time frames.
unchecked | Use the calling job's time frame for subnetwork jobs (default).
Rewrite prompted symbols to symbol table master | Possible check-box settings:
checked | Update prompted symbols in the symbol table master, in addition to the currently active symbol table. This keeps the last prompted value for the next prompting.
unchecked | Update prompted symbols only in the currently active symbol table (default).
Search symbols also in other symbol tables of active network | checked | Checked symbols will be searched also in other active symbol tables of the active network.
unchecked | Default. No such search is done.
Note After a change of this setting, a Monitor restart is required.
Generate header in submitted JCL | Possible check-box settings:
checked | Generate header.
unchecked | Do not generate header.
Symbol prompting during JCL regeneration | Possible check-box settings:
checked | Symbols will be prompted again during JCL regeneration.
unchecked | No symbol prompting during JCL regeneration (default).
Submit symbol/function recalculation at resubmit | Active submit symbol/function recalculation at job resubmission. This setting determines the handling of submit symbol and function values during the resubmit with submission symbol replacement. Possible check-box settings:
checked | Active submit symbols and functions will be deleted and activated (calculated) anew (default).
unchecked | Resubmission will be performed with the same submit symbol and function values.
Write results of MM and MV to symbol table active | Possible check box settings:
checked | The values returned for the symbol functions `MM` and `MV` are written to the active symbol table. Subsequent symbol function executions with the same parameters will use these values. See also Functions for Symbol Replacement in the User's Guide.
unchecked | The values returned for the symbol functions `MM` and `MV` are not written to the active symbol table (default).
Deactivation Settings | Confirm activation cancelling Possible check box settings:
checked | The confirmation dialog is used if future activations are cancelled (default).
unchecked | No confirmation dialog is used if future activations are cancelled.
Network deactivation, with active conditions
checked | If an active network is deactivated, the belonging active conditions will be deactivated, too. During a cleanup, active conditions will be deactivated if their retention period is reached or if their creating network run or job run is not active anymore.
unchecked | Default. No cleanup of active conditions during a network deactivation. During a cleanup, active conditions will be deactivated only if their retention period is reached.
Jobs to be deactivated at once The maximum number of active jobs to be deactivated in one Monitor cycle. Default: 50.
NOM API Settings | NOM API retry limit The maximum number of attempts for passing a file to Entire Output Management (NOM). Default: 1000.
Pass empty files to NOM Possible check box settings:
checked | Empty files are passed to Entire Output Management (default).
unchecked | Empty files are not passed to Entire Output Management.
Note A log message is written in any case.
Encoding | Applies to UNIX and Windows JCL only. Use trigraphs in JCL and SYSOUT logging Possible check box settings:
checked | Use trigraphs in active JCL and in JCL and SYSOUT logging. For information on trigraph encoding, see the relevant section in the User's Guide.
unchecked | Encoding is not used (default).
Applies to UNIX JCL only. |
Convert UTF-8 characters to HTML format in the active JCL Possible check box settings:
checked | If the file is UTF-8 encoded, convert UTF-8 characters to HTML format in the active JCL. In this case, you must not use the ampersand (`&`) as the submission escape character.
unchecked | UTF-8 characters are not converted (default).

## Defaults for Character Interface Settings

The fields on the Character interface settings page of the Entire Operations Defaults window are described in the following table.

These settings only affect the application screens of the Entire Operations character user interface.

Field/Section | Description
--- | ---
Language | Determine the Entire Operations default language code. Possible selection options: English German
User application in menu | Integrate a user-defined application into the Entire Operations Main Menu.
Application | The name of the required application.
Menu text | The name to be used in the Main Menu.
Show installed ESM Products | checked | Installed ESM Products will be shown in the NOP CUI main menu (default).
unchecked | No other ESM products will be shown in the NOP CUI main menu.
Calendar display | Select Support highlighting to enable highlighting in calendar displays provided that your terminal supports highlighting.
Session control | Stack 'RETURN' on logoff Possible check box settings:
checked | Terminate an Entire Operations online session with the Natural command `RETURN`. Only with `RETURN` can control be given back to another Natural application.
unchecked | Terminate a Natural session with the Entire Operations session.
Logon screen obligatory Possible check box settings:
checked | The Entire Operations logon screen is always presented. This setting is recommended if an external security system like RACF is installed, since a password must be entered.
unchecked | The Entire Operations logon screen is not presented.

## Defaults for BS2000

This section describes the fields provided for BS2000 default settings:

- Fields: Defaults for BS2000

- BS2000 Default Message Codes

### Fields: Defaults for BS2000

BS2000-specific fields on the Operations System Specials page of the Entire Operations Defaults window are explained in the following table.

Note
New default settings become effective after the next Monitor startup and are then used as defaults for new job definitions.

Field | Meaning
--- | ---
End-of-Job Checking:
Highest Severity Code accepted as ok | This value is the maximum allowed severity code for messages matching the default message code table. If a message is defined without a severity code, a match always means `job not OK`.
SYSOUT Handling:
Make the SYSOUT Collection File shareable | Entire Operations creates its own SYSOUT Collection File for each BS2000 job running under control of Entire Operations. Select this check box if the Entire Operations Monitor should make these files shareable; do not select this check box if not.
Append the SYSLST File(s) to the SYSOUT File | Select this check box if the SYSLST files created by a job should be appended to the Entire Operations SYSOUT Collection File; do not select this check box if not.
Monitor Job Variables:
Remove internal Monitor Job Variables after End-of-Job handling | Select this check box to remove internal Monitor job variables immediately after End-of-Job checking. This creates fewer catalog entries. Do not select this check box to remove variables during standard job deactivation. Note This setting affects only Monitor job variables which were internally created by the Entire Operations Monitor.
Escapes:
Activation | Activation escape character. This escape character is used as the prefix for Natural code lines and symbols to be replaced at activation time. Note Existing dynamic JCL might become invalid after changing this escape character.
Submission | Submission escape character. This escape character is used as the prefix for symbols to be replaced at submission time. Note Existing dynamic JCL might become invalid after changing this escape character.
Message codes, which force 'job not ok' by default | See BS2000 Default Message Codes.

### BS2000 Default Message Codes

The following BS2000 message codes can be contained in the message code table on the Operating System Specials page:

Message Code | Message Text
--- | ---
BLS0520 | Access error on program library. PLAM-AMCB error code '(&00)' and system error code '(&01)'. In system mode /HELP-MSG PLA (&00).
CMD0005 | Operation name in input string not recognizable or missing.
CMD0186 | CMD0186 OPERATION NAME '(&00)' UNKNOWN.
CMD0205 | Error in preceding command or program and procedure step termination: commands will be ignored until /SET-JOB-STEP or /LOGOFF or /EXIT-JOB is recognized.
DMS05A9 | Second file name in command for COPY invalid or does not exist. Correct command.
DMS0936 | (Message not defined.)
EXC044F | Warning: PUBSPACE limit exceeded for user ID '(&00)' on PUBSET '(&01)'. Erase files no longer required. (See also the remark on Global Messages for Events Events below.)
EXC0733 | Unrecoverable termination error: task with TSN '(&00)' pended. Continue system run and take dump after shutdown.
EXC0734 | (Message not defined.)
EXC0735 | (Message not defined.)
EXC0736 | Abnormal task termination. Error code '(&00)': / Help-MSG (&00).
EXC0737 | (Message not defined.)
EXC0738 | (Message not defined.)
EXC0772 | (Message not defined.)
IDA0N45 | Dump desired? Reply (Y =user/area dump); Y, System = system dump; N = no).
IDA0N47 | Dump prohibited by /MODIFY-TEST-OPTIONS command.
IDA0N48 | Task/system settings prohibit dump.
IDA0N51 | Program interrupt at location '(&00)'.
IDA0N56 | Current system dump suppressed (duplicate).
JVS04A1 | Syntax error in JV command. Correct command.
NRTT201 | NRTT201 TASK TERMINATION DUE TO /(&00) COMMAND The task termination was caused by a /CANCEL-JOB resp. /CANCEL or a /SHUTDOWN command.
SSM2052 | Procedure file '(&00)' cannot be opened. DMS error code '(&01)'. Command terminated. DMS error: /HELP-MSG-INFORMATION DMS(&01).

The following applies when using and checking message codes:

- If one of the BS2000 message codes listed in the table above appears in any BS2000 job SYSOUT, a job is treated as `not ok` without any special definition at the job level.

- If the option Job ended not ok is selected on the Global Messages for Events page.

  - A global message and/or an event store notification is sent.

- The BS2000 message codes listed in the table above are in effect after the installation of Entire Operations. You can restore the default set of message codes supplied with Entire Operations at any time by using Restore Defaults function.

- The message code table can be completely empty. None of the mentioned BS2000 message codes would be checked by default in this case.

- Changes to message codes are propagated to a running Monitor immediately.

  Consider that faulty jobs may no longer be set to the status `not ok` when the message code table is modified.

## Defaults for z/OS

This sec`tion describes the fields provided for z/OS default settings.

### Fields: Defaults for z/OS

The fields available for z/OS-specific default settings on the Operations System Specials page of the Entire Operations Defaults window are explained in the following table.

Note
New default settings become effective after the next Monitor startup and are then used as defaults for new job definitions.

Field | Meaning
--- | ---
End-of-Job Checking:
The values specified with the following three fields are used for checking completed jobs if no definition has been made at the job level:
Highest Condition Code (= highest Severity Code) | The value entered here is used for default checks of all step results for which no dedicated check was defined. If such a step result is higher than the value defined here, the job is treated as `not ok`. This value is the maximum allowed severity code for messages matching the Global Message Code Table. If a message is defined there without a severity code, a match always means `job not ok`.
Highest User Code accepted as ok | Corresponds to Highest Condition Code but checks for user-defined codes only.
IEF201I 'Terminated because of condition codes' accepted as ok | Applies to z/OS only. If this option is selected, the occurrence of the message `EF201I ... - JOB TERMINATED BECAUSE OF CONDITION CODES` does not cause the job to be set to `not ok` automatically. All other implicit or explicit End-of-Job checks are not affected by this setting. This is a system-wide setting. For more information, see the section Defining and Managing End-of-Job (EOJ) Checking and Actions in the User's Guide. This option is not selected be default.
End-of-Job Actions:
Spool Class to be set after Job Completion | You can specify whether the spool class of a job is to be modified after completion. This applies to all jobs. Notes: Node-specific definitions override this default. Job-specific definitions override all others. A valid spool class indicates Entire Output Management where to find all information required to process job SYSOUT passed from Entire Operations. If you leave this field blank, the job output class remains unchanged.
Job Card:
MSGCLASS | Applies to z/OS only. You can complete or modify the job card for any job by adding values for MSGCLASS and MSGLEVEL here. The values specified here are inserted if not already in the job card.
MSGLEVEL
Collect z/OS step accounting data:
checked | Applies to z/OS only. If this check box is selected, accounting data for steps will be collected additionally for z/OS jobs. Be aware of the overhead in the accounting data file.
unchecked | If this check box is not selected, accounting data for steps will not be collected (default).
Escapes:
Activation | Activation escape character. This escape character is used as the prefix for Natural code lines and symbols to be replaced at activation time. Note Existing dynamic JCL might become invalid after changing this escape character.
Submission | Submission escape character. This escape character is used as the prefix for symbols to be replaced at submission time. Note Existing dynamic JCL might become invalid after changing this escape character.

## Defaults for UNIX and Windows

This section describes the fields provided for UNIX and Windows default settings.

Note
Specials for UNIX and Windows nodes can be defined on the tabbed page Specials of the Maintenance Node window; see also Special Definitions for a Node (UNIX and Windows).

### Fields: Defaults for UNIX and Windows

The fields specific to UNIX or Windows on the Operations System Specials page of the Entire Operations Defaults window are explained in the following table.

Note
New default settings become effective after the next Monitor startup and are then used as defaults for new job definitions.

Field | Meaning
--- | ---
End-of-Job Checking:
Highest Exit Code accepted as ok | The value entered here is the maximum exit code which is accepted as `ok`.
Escapes:
Activation | Activation escape character. This escape character is used as the prefix for Natural code lines and symbols to be replaced at activation time. Note Existing dynamic JCL might become invalid after changing this escape character.
Submission | Submission escape character. This escape character is used as the prefix for symbols to be replaced at submission time. Note Existing dynamic JCL might become invalid after changing this escape character.

### On this page

- Accessing Default Settings for Entire Operations
- Defaults: System/Log Files
- Defaults for Operating System Specials
- Defaults for Time Ranges
- Defaults for Network Options
- Defaults for Other Settings
- Defaults for Character Interface Settings
- Defaults for BS2000
- Defaults for z/OS
- Defaults for UNIX and Windows